
Figure - Bug #117035
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【桌面】长按选择文件小窗，长按文件点击图片，上划进入recent，点击文件小窗卡片，没有
显示文件小窗
2023-03-20 10:06 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-03-20

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303170158

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 由于从卡片快捷方式启动图片会重新创建一个Task,导致和原来的文件不在同一个task,而在进入Recent后,之前的task的会被移除,在退出Recent时会还原之前的小窗信息��但是这个时候Task已经被remove了,导致无法还原

Description

【前提条件】

1、设备已开机

【测试步骤】

1、长按文件，选择小窗

2、长按文件，选择图片

3、上划进入recent页面

4、点击文件小窗卡片，观察结果

【预期结果】

4、文件小窗正常显示在桌面上

【实际结果】

4、文件小窗没有显示在桌面上

【复现率】

3/3

History

#1 - 2023-03-20 14:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

188534 general/platform/packages/apps/Docu

mentsUI

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

FW:DocumentsUI:disable shortcutsdisable shortcuts for freeform modeTC-RID: 1201-0300801IssueID: TS-R-BUG-117035Change-Id:

Ifa6c36464c1c2503cf12400d2b771c9a328065eb

#2 - 2023-03-20 14:46 - CD FW-鲁凯峰
- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

- Root cause set to 由于从卡片快捷方式启动图片会重新创建一个Task,导致和原来的文件不在同一个task,而在进入Recent后,之前的task的会被移除,在退

出Recent时会还原之前的小窗信息

但是这个时候Task已经被remove了,导致无法还原

■ Current conclusion

问题已经解决

■ My analysis

出现问题的原因是由于从卡片快捷方式启动图片会重新创建一个Task,导致和原来的文件不在同一个task,而在进入Recent后,之前的task的会被移除,在退

出Recent时会还原之前的小窗信息

但是这个时候Task已经被remove了,导致无法还原

解决方法是去除卡片上的快捷方式

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/DocumentsUI/+/188534

#3 - 2023-03-21 10:00 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

【验证版本】FlatBuild_HH_MCE_FSE.M.R.user.01.00.0084.C101

【验证情况】卡片上的快捷方式已经去除，未出现点击小窗卡片没有显示的情况

#4 - 2023-03-21 10:01 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
